[package]
name = "hello-world"
version = "0.1.0"
edition = "2024"

[[bin]]
name = "server"
path = "src/bin/server.rs"

[[bin]]
name = "client"
path = "src/bin/client.rs"

[dependencies]
roto-runtime = { path = "../../runtime" }
roto-tonic = { path = "../../roto-tonic" }
tonic = "0.12"
tokio = { version = "1.38", features = ["full"] }
tokio-stream = "0.1"
bytes = "1.7"
prost = "0.13"
tower = "0.4"
futures-util = "0.3"
http-body-util = "0.1"
http = "1.1"
http-body = "1.0"
async-trait = "0.1"

[build-dependencies]
tonic-build = "0.12"
roto-codegen = { path = "../../codegen" }

[features]
default = ["alloc"]
alloc = []
